extends RigidBody2D

var speed = 5000

## ANIMATION
func manage_anime():#I don't need a animation player. Plus this gives me more unique frames.
	if($bod.frame ==8):
		$bod.frame = 7
	else:
		$bod.frame = 8
	if($legs.frame ==6):
		$legs.frame = 4
	else:
		$legs.frame += 1

## STRENGTH
func strength_change(val):#When ever the timeout or hits enemy
	if($hair.frame+val==-1):#Uh oh Delilah got you
		gameover()
	elif($hair.frame+val < 4):#This is at least under the leg frames, Strength changes
		$hair.frame+=val
		var co = val*0.25
		modulate+=Color(co,co,co)
		mass+=val*4

## GAMEOVER
func gameover():#Die
	get_tree().reload_current_scene()

## MOVEMENT
func move(delta):
	var left = Input.get_action_strength("ui_left")
	var right = Input.get_action_strength("ui_right")
	var dir = right-left
	if(dir!=0):
		scale.x=dir
		manage_anime()
	linear_velocity.x = dir*delta*speed

## MAIN
func _physics_process(delta):
	move(delta)

func _ready():
	$Timer.connect("timeout",self,"strength_change",[1])